Subject: Re: linux-next: manual merge of the akpm tree with the arm64 tree

From: Catalin Marinas <[email-masked]>
Date: Fri, 7 Apr 2017 09:48:35 +0100

Hi Stephen,

On Fri, Apr 07, 2017 at 05:41:20PM +1000, Stephen Rothwell wrote:
> Today's linux-next merge of the akpm tree got a conflict in:
> 
>   arch/arm64/include/asm/cacheflush.h
> 
> between commit:
> 
>   9b0aa14e3155 ("arm64: mm: add set_memory_valid()")
> 
> from the arm64 tree and patch:
> 
>   "treewide: move set_memory_* functions away from cacheflush.h"
> 
> from the akpm tree.
> 
> I fixed it up (see below - not ideal ...) and can carry the fix as
> necessary.

Thanks for fixing this up. Not ideal, indeed, but I can push a clean-up
patch after -rc1 to move set_memory_valid() to an arm64-specific
set_memory.h (which would include asm-generic/set_memory.h). Given that
my for-next branch is based on 4.11-rc3, I can't do this now without
risking breaking other things.

-- 
Catalin